using System;
using System.IO;

namespace Sample
{
    class Sample
    {
        static void Main(string[] args)
        {
            string pdfFile = "input.pdf";
            string wordFile = "result.docx";
            string excelFile = "result.xlsx";
            string htmlFile = "result.html";
            string txtFile = "result.txt";
            string imgFile = "result.png";
            // Get your free 30-day key here:   
            // https://sautinsoft.com/start-for-free/

            SautinSoft.PdfFocus f = new SautinSoft.PdfFocus();
            
            f.OpenPdf(pdfFile);
            // You may play with this settings in Linux, WSL, Azure or Docker.
            // Please be sure that you have installed Fonts in your System.
            f.PreserveEmbeddedFonts = SautinSoft.PdfFocus.ePropertyState.Enabled;
            if (f.PageCount > 0)
            {
                // You may choose output format between Docx and Rtf.
                f.WordOptions.Format = SautinSoft.PdfFocus.CWordOptions.eWordDocument.Docx;
                // You may choose output format between Xls and Xlsx.
                f.ExcelOptions.Format = SautinSoft.PdfFocus.Format.Xlsx;
                // You may choose the render mode for HTML: Fixed or Flowing.
                f.HtmlOptions.RenderMode = SautinSoft.PdfFocus.CHtmlOptions.eHtmlRenderMode.Fixed;
                // You may choose output format between Png, Jpeg, Bmp, Tiff, etc.
                f.ImageOptions.ImageFormat = SautinSoft.PdfFocus.CImageOptions.ImageFormats.Png;
                // Convert a PDF file to a Word file
                int resultWord = f.ToWord(wordFile);
                // Convert a PDF file to a Excel file
                int resultExcel = f.ToExcel(excelFile);
                // Convert a PDF file to a HTML file
                int resultHtml = f.ToHtml(htmlFile);
                // Convert a PDF file to a Txt file
                int resultTxt = f.ToText(txtFile);
                // Convert a PDF file to a Png file
                int resultImg = f.ToImage(imgFile, 1);
            }
        }
    }
}
