Imports System
Imports System.IO

Namespace Sample
	Friend Class Sample
		Shared Sub Main(ByVal args() As String)
			Dim pdfFile As String = "input.pdf"
			Dim wordFile As String = "result.docx"
			Dim excelFile As String = "result.xlsx"
			Dim htmlFile As String = "result.html"
			Dim txtFile As String = "result.txt"
			Dim imgFile As String = "result.png"
			' Get your free 30-day key here:   
			' https://sautinsoft.com/start-for-free/

			Dim f As New SautinSoft.PdfFocus()

			f.OpenPdf(pdfFile)
			' You may play with this settings in Linux, WSL, Azure or Docker.
			' Please be sure that you have installed Fonts in your System.
			f.PreserveEmbeddedFonts = SautinSoft.PdfFocus.ePropertyState.Enabled
			If f.PageCount > 0 Then
				' You may choose output format between Docx and Rtf.
				f.WordOptions.Format = SautinSoft.PdfFocus.CWordOptions.eWordDocument.Docx
				' You may choose output format between Xls and Xlsx.
				f.ExcelOptions.Format = SautinSoft.PdfFocus.Format.Xlsx
				' You may choose the render mode for HTML: Fixed or Flowing.
				f.HtmlOptions.RenderMode = SautinSoft.PdfFocus.CHtmlOptions.eHtmlRenderMode.Fixed
				' You may choose output format between Png, Jpeg, Bmp, Tiff, etc.
				f.ImageOptions.ImageFormat = SautinSoft.PdfFocus.CImageOptions.ImageFormats.Png
				' Convert a PDF file to a Word file
				Dim resultWord As Integer = f.ToWord(wordFile)
				' Convert a PDF file to a Excel file
				Dim resultExcel As Integer = f.ToExcel(excelFile)
				' Convert a PDF file to a HTML file
				Dim resultHtml As Integer = f.ToHtml(htmlFile)
				' Convert a PDF file to a Txt file
				Dim resultTxt As Integer = f.ToText(txtFile)
				' Convert a PDF file to a Png file
				Dim resultImg As Integer = f.ToImage(imgFile, 1)
			End If
		End Sub
	End Class
End Namespace
